RHEL 7 : ipsilon (RHSA-2016:2809)

Medium Nessus Plugin ID 95047


The remote Red Hat host is missing one or more security updates.


An update for ipsilon is now available for Red Hat Enterprise Linux 7.

Red Hat Product Security has rated this update as having a security impact of Important. A Common Vulnerability Scoring System (CVSS) base score, which gives a detailed severity rating, is available for each vulnerability from the CVE link(s) in the References section.

The ipsilon packages provide the Ipsilon identity provider service for federated single sign-on (SSO). Ipsilon links authentication providers and applications or utilities to allow for SSO. It includes a server and utilities to configure Apache-based service providers.

Security Fix(es) :

* A vulnerability was found in ipsilon in the SAML2 provider's handling of sessions. An attacker able to hit the logout URL could determine what service providers other users are logged in to and terminate their sessions. (CVE-2016-8638)

This issue was discovered by Patrick Uiterwijk (Red Hat) and Howard Johnson.


Update the affected packages.

See Also



Plugin Details

Severity: Medium

ID: 95047

File Name: redhat-RHSA-2016-2809.nasl

Version: $Revision: 2.4 $

Type: local

Agent: unix

Published: 2016/11/22

Modified: 2018/01/25

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 6.4

Temporal Score: 5.3

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:N/A:P

Temporal Vector: CVSS2#E:F/RL:OF/RC:ND


Base Score: 9.1

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:N/A:H

Vulnerability Information

CPE: p-cpe:/a:redhat:enterprise_linux:ipsilon, p-cpe:/a:redhat:enterprise_linux:ipsilon-authform, p-cpe:/a:redhat:enterprise_linux:ipsilon-authgssapi, p-cpe:/a:redhat:enterprise_linux:ipsilon-authldap, p-cpe:/a:redhat:enterprise_linux:ipsilon-base, p-cpe:/a:redhat:enterprise_linux:ipsilon-client, p-cpe:/a:redhat:enterprise_linux:ipsilon-filesystem, p-cpe:/a:redhat:enterprise_linux:ipsilon-infosssd, p-cpe:/a:redhat:enterprise_linux:ipsilon-persona, p-cpe:/a:redhat:enterprise_linux:ipsilon-saml2, p-cpe:/a:redhat:enterprise_linux:ipsilon-saml2-base, p-cpe:/a:redhat:enterprise_linux:ipsilon-tools-ipa, cpe:/o:redhat:enterprise_linux:7, cpe:/o:redhat:enterprise_linux:7.3

Required KB Items: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list, Host/cpu

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2016/11/21

Reference Information

CVE: CVE-2016-8638

OSVDB: 147544

RHSA: 2016:2809